# Enum RichTextComponent.SizeMode

java.lang.Object
java.lang.Enum<RichTextComponent.SizeMode>
com.codename1.ui.RichTextComponent.SizeMode

All Implemented Interfaces:
  `Comparable<RichTextComponent.SizeMode>`

Enclosing class:
  `RichTextComponent`

public static enum RichTextComponent.SizeMode extends Enum<RichTextComponent.SizeMode>
Controls how the component sizes itself relative to its content.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SCROLL`
  Keep the parent-assigned size and scroll content vertically when it overflows.
  `SHRINK`
  Report a preferred height equal to the wrapped content height at the assigned width.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RichTextComponent.SizeMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static RichTextComponent.SizeMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SHRINK

    public static final RichTextComponent.SizeMode SHRINK
    Report a preferred height equal to the wrapped content height at the assigned width.

  - ### SCROLL

    public static final RichTextComponent.SizeMode SCROLL
    Keep the parent-assigned size and scroll content vertically when it overflows.

- ## Method Details

  - ### values

    public static RichTextComponent.SizeMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static RichTextComponent.SizeMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null